<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<!DOCTYPE html>

<spring:url value="/authlogin/${typeAuthentication}" var="authentication" />

<html lang="en">
<head>
<meta charset="UTF-8">
<title><spring:message code = "project.name" /></title>

<!-- CSS
================================================== -->
	<link rel="stylesheet" href="<c:url value="/css/reset.css" />">
	<link rel="stylesheet" href="<c:url value="/css/normalize.css" />">
	<link rel="stylesheet" href="<c:url value="/css/style.css" />">
	
	<link rel="stylesheet" href="<c:url value="/css/custom.css" />">

	<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<link rel="shortcut icon" href="<c:url value="/img/swivel.ico" />">

</head>


<body onload = "pollingEvent();">

	<!-- Container -->
	<div class="login-container">

		<!-- Page Head -->
		<div class="page-head">
			<a href="http://www.swivelsecure.com" class="logo"><img src="<c:url value="/img/swivel-logo.png" />" alt="Swivel Secure"></a>
		</div>
		<!-- End Page Head -->

		<!-- Page Body -->
		<div class="page-body cf">

			<h1 class="login-title"><spring:message code = "ontouchlogin.title" /></h1>
			
			<div id="validationErrors"></div>	
	    	
	    	<div class="info-box">
				<spring:message code = "login.secondstage.info" />
    		</div>
	
			<c:if test="${!empty sessionId}">
				<img id="turing" style="display:none;" src="<c:url value='/TCImageAndCall?sessionId=${sessionId}'  />" />	
			</c:if>		
			
			
			<spring:url value="/onetouch/startsession" var="startSessionUrl"/>
	
				<spring:url value="/onetouchsecondstage/response" var="responseUrl"/>						
			<form id="oneTouchForm" action="${responseUrl}" method="post" class="login-form">
			
					<input type="hidden" name="authState" id="authState" value="${authState}"/>
					<input type="hidden" name="startTime" id="startTime" value="${startTime}"/>
					<input type="hidden" name="serverurl" id="serverurl" value="${serverurl}"/>
					<input type="hidden" name="returnurl" id="returnurl" value="${returnurl}"/>
					<input type="hidden" name="sessionId" id="sessionId" value="${sessionId}">
					<input type="hidden" name="id" id="id" value="${id}"/>
					<input id="username" type="hidden" value="<c:out value="${username}" />" name="username" type="text"> 
				
					<button name="cancel" id="cancel" onclick="return cancelAuthenticationAndRedirect();" class="btn btn-secondary right-align"><spring:message code = "login.cancelbutton" /></button>				
			</form>

		</div>
		<!-- End Page Body -->
	</div>
	<!-- End Container -->
	
	<%@ include file="template/footer.jsp"%>
	
	<!-- messages -->
	<input type="hidden" id="usernameEmpty" value="<spring:message code = "login.error.username.empty" />" />
	<input type="hidden" id="loginTimeout" value="<spring:message code = "login.timeout" />"/>
	<input type="hidden" id="loginError" value="<spring:message code = "login.error" />"/>
	<input type="hidden" id="loginCancelled" value="<spring:message code = "login.cancelled" />"/>
	
	
	
	<input type="hidden" id="pinsafeUrl" value="${pinsafeURL}"/>
	<input type="hidden" id="vpnHomeURLFor2Stages" value="${vpnHomeURLFor2Stages}"/>
	<input type="hidden" id="timeout" value="${timeoutPolling}"/>
	
	
	<script src="<c:url value="/js/onetouch.js" />"></script>
	<script language="JavaScript">
		function manageResponseOTC(codeString) {
			codeString  =  xmlhttp.responseXML.getElementsByTagName('code')[0].firstChild.nodeValue;
            
			if (codeString.length >0 ) {		
			    if (codeString == "-AUTH_CANCELLED-") {
			    	showErrorMessage("loginCancelled");
			    	pollAgain=false;
                }else if (codeString == "-ERROR-") {
                	showErrorMessage("loginError");
                	pollAgain=false;
                }else {
					document.getElementById("oneTouchForm").submit();  
                }
			}
		}
		
		function showTimeOutError() {
			showErrorMessage("loginTimeout");
		}
	</script>

	
</body>
</html>