<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<!DOCTYPE html>

<spring:url value="/authlogin/${typeAuthentication}" var="authentication" />

<html lang="en">
<head>
<meta charset="UTF-8">
<title><spring:message code = "project.name" /></title>

<!-- CSS
================================================== -->
	<link rel="stylesheet" href="<c:url value="/css/reset.css" />">
	<link rel="stylesheet" href="<c:url value="/css/normalize.css" />">
	<link rel="stylesheet" href="<c:url value="/css/style.css" />">
	
	<link rel="stylesheet" href="<c:url value="/css/custom.css" />">

	<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<link rel="shortcut icon" href="<c:url value="/img/swivel.ico" />">

</head>


<body onload = "pollingEvent();">

	<!-- Container -->
	<div class="login-container">

		<!-- Page Head -->
		<div class="page-head">
			<a href="http://www.swivelsecure.com" class="logo"><img src="<c:url value="/img/swivel-logo.png" />" alt="Swivel Secure"></a>
		</div>
		<!-- End Page Head -->

		<!-- Page Body -->
		<div class="page-body cf">

			<h1 class="login-title"><spring:message code = "ontouchlogin.title" /></h1>
			
			<c:choose>
				<c:when test="${not empty error}">
			    	<div class="error-box">
						<spring:message code = "${error}" />
		    		</div>
		    	</c:when>
		    	<c:when test="${not empty message}">
			    	<div class="success-box">
						<spring:message code = "${message}" />
		    		</div>
		   		</c:when>	
			</c:choose>	
		    <div id="validationErrors"></div>		
	
			<spring:url value="/onetouch/startsession" var="startSessionUrl"/>
	
			<spring:url value="/onetouch/login" var="loginUrl"/>			
			<form id="oneTouchForm" action="${loginUrl}" method="post" class="login-form">
			
					<input type="hidden" name="authState" id="authState" value="${authState}"/>
					<input type="hidden" name="startTime" id="startTime" value="${startTime}"/>
					<input type="hidden" name="serverurl" id="serverurl" value="${serverurl}"/>
					<input type="hidden" name="returnurl" id="returnurl" value="${returnurl}"/>
					<input type="hidden" name="sessionId" id="sessionId" value="${sessionId}">

					<label for="username"><spring:message code = "login.username" /></label>
					<input id="username" value="<c:out value="${username}" />" name="username" type="text"> 
					
					<label for="password"><spring:message code = "login.password" /></label>			
					<input id="password" name="password" value="<c:out value="${password}" />" type="password"> 
					
					<c:choose>
					
						<c:when test="${!empty sessionId}">
							<button name="cancel" id="cancel" onclick="return cancelAuthentication();" class="btn btn-secondary right-align"><spring:message code = "login.cancelbutton" /></button>
							<div class="info-box custom-box">
								<spring:message code = "login.info" />				
							</div>

							<img id="turing" style="display:none;" src="<c:url value='/TCImageAndCall?sessionId=${sessionId}'  />" />				
						</c:when>
						<c:otherwise>
							<button name="sessionstart" id="sessionstart" onclick="return validateFormAndStartSession('${startSessionUrl}');" class="btn btn-primary"><spring:message code = "login.sendbutton" /></button>
						</c:otherwise>
					</c:choose>							
			</form>

		</div>
		<!-- End Page Body -->
	</div>
	<!-- End Container -->
	
	<%@ include file="template/footer.jsp"%>
	
	<!-- messages -->
	<input type="hidden" id="usernameEmpty" value="<spring:message code = "login.error.username.empty" />">
	
	
	<input type="hidden" id="pinsafeUrl" value="${pinsafeURL}"/>
	<input type="hidden" id="timeout" value="${timeoutPolling}"/>
	
	
	
	<script src="<c:url value="/js/onetouch.js" />"></script>
		<script language="JavaScript">
		function manageResponseOTC(codeString) {
			if (codeString.length >0 ) {		
			    if (codeString == "-AUTH_CANCELLED-") {
			    	document.getElementById("authState").value="cancelled";
                }else if (codeString == "-ERROR-") {
                	document.getElementById("authState").value="error";
                }

				document.getElementById("oneTouchForm").submit();  
				
			}
		}
		
		function showTimeOutError() {
			document.getElementById("authState").value="timeout";
			document.getElementById("oneTouchForm").submit();
		}
	</script>

	
</body>
</html>